import Store from 'herculex';
import commonActions from '../one/store/actions/index';
import commonState from '../one/store/state';
import commonGetters from '../one/store/getters';
import mutations from '../one/store/mutations';

export default new Store({
  connectGlobal: true,
  state: commonState,
  getters: commonGetters,
  mutations,
  actions: {
    async init({ dispatch }, payload) {
      await dispatch('start', payload);
    },
    ...commonActions,
  },
});
